<?php

/**
 * @file
 * Export interface plugin.
 */

/**
 * Define this Export UI plugin.
 */
$plugin = [
  'schema' => 'elevatezoomplus_optionset',
  'access' => 'administer elevatezoomplus',

  // Define the menu item.
  'menu' => [
    'menu prefix' => 'admin/config/media',
    'menu item' => 'elevatezoomplus',
    'menu title' => 'ElevateZoom Plus',
    'menu description' => 'Administer ElevateZoom Plus optionsets.',
  ],

  // Define user interface texts.
  'title singular' => t('optionset'),
  'title plural' => t('optionsets'),
  'title singular proper' => t('ElevateZoom Plus optionset'),
  'title plural proper' => t('ElevateZoom Plus optionsets'),

  // Define our handler.
  'handler' => [
    'class' => 'Drupal\elevatezoomplus_ui\Form\ElevateZoomPlusForm',
    'file' => 'ElevateZoomPlusForm.php',
    'path' => drupal_get_path('module', 'elevatezoomplus_ui') . '/src/Form',
    'parent' => 'Drupal\slick_ui\Form\SlickFormBase',
  ],
];
